List Opportunity Forms

Retrieve all forms associated with an opportunity. Supports: - Status filtering (`status` query parameter) **Note:** The `/requests` path is an alias for `/opportunities` and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idintegerRequired
Opportunity identifier

Query parameters

statusenumOptional
Filter forms by status

Response

List of forms
idintegerOptional
Form identifier
namestringOptional
Form name
descriptionstring or nullOptional
Form description
isCompletedbooleanOptional
Whether the form is completed
createdByintegerOptional
ID of user who created the form
createdAtstringOptionalformat: "date-time"
Creation timestamp
updatedAtstringOptionalformat: "date-time"
Last update timestamp
templateIdinteger or nullOptional
Template ID
statusenumOptional
Form status
dueDatestring or nullOptionalformat: "date-time"
Due date
completedAtstring or nullOptionalformat: "date-time"
Completion timestamp
assigneeobjectOptional
Minimal user representation used in responses
requestIdintegerOptional
Associated opportunity ID
collaboratorslist of objectsOptional
Additional users collaborating on the form

Errors

401
Unauthorized Error